body > .navbar {
  z-index: 1011;
}

.navbar {
  z-index: 1010;
  transition: opacity ease-in-out 0.5s;

  &.bar-invisible {
    opacity: 0;
    pointer-events: none;
  }
  .nav-item a {
    transition: all ease-in-out 0.5s;
  }

  .nav-item .nav-link.active {
    color: $gray-600;

    &:hover {
      color: $gray-900;
    }
  }

  .nav-item.active .nav-link,
  .nav-item .nav-link.active {
    color: $success;

    &:hover {
      color: $success;
    }
  }

  .logo {
    height: 27px;
  }

  .input-search {
    margin-top: 0;
  }

  .loading {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    height: 2px;
    opacity: 0;

    -webkit-transition: opacity 1s ease-in-out;
    -moz-transition: opacity 1s ease-in-out;
    -o-transition: opacity 1s ease-in-out;
    transition: opacity 1s ease-in-out;

    &.visible {
      opacity: 1;
      -webkit-transition: opacity 0.1s ease-in-out;
      -moz-transition: opacity 0.1s ease-in-out;
      -o-transition: opacity 0.1s ease-in-out;
      transition: opacity 0.1s ease-in-out;

      .loading-progress {
        position: absolute;
        left: 0;
        -webkit-animation-name: loading-length; /* Safari 4.0 - 8.0 */
        -webkit-animation-duration: 60s; /* Safari 4.0 - 8.0 */

        animation-name: loading-length;
        animation-duration: 60s;

        height: 100%;
      }
    }
  }

  &.map-menu {
    background-color: $transparency-color !important;
    box-shadow: rgba(0, 0, 0, 0) 0px 0px 10px !important;
    border-bottom: $transparency-border;

    backdrop-filter: $transparency-blur;
    -webkit-backdrop-filter: $transparency-blur;
    -moz-backdrop-filter: $transparency-blur;
  }

  .dropdown-authenticated .dropdown-menu {
    right: 0;
  }
}

[data-type="menu"].sticky {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
}

.navbar + .main-container, .page-col + .main-container {
  padding-top: 52px;
}

.navbar.manage-navbar + .main-container {
  padding-top: 0;
}

.navbar.bar-invisible + .main-container {
  margin-top: 0;
}

.bg-white {
  background-color: #ffffff;

  .navbar-nav .active > .nav-link,
  .dropdown-item.active {
    background: transparent;
    color: $green;
  }

  .dropdown-menu {
    font-size: 0.8rem;
  }
}

/* Safari 4.0 - 8.0 */
@-webkit-keyframes loading-length {
  0% {
    width: 0%;
    background-color: $primary;
  }
  5% {
    width: 30%;
    background-color: $primary;
  }
  50% {
    width: 80%;
    background-color: $primary;
  }
  100% {
    width: 100%;
    background-color: $danger;
  }
}

/* Standard syntax */
@keyframes loading-length {
  0% {
    width: 0%;
    background-color: $primary;
  }
  5% {
    width: 30%;
    background-color: $primary;
  }
  50% {
    width: 80%;
    background-color: $primary;
  }
  100% {
    width: 100%;
    background-color: $danger;
  }
}
